Show / Hide Table of Contents

Class UpdatePostgresqlConnectionDetails

The information to update a PostgreSQL Database Connection.

Inheritance
object
UpdateConnectionDetails
UpdatePostgresqlConnectionDetails
Inherited Members
UpdateConnectionDetails.DisplayName
UpdateConnectionDetails.Description
UpdateConnectionDetails.FreeformTags
UpdateConnectionDetails.DefinedTags
UpdateConnectionDetails.VaultId
UpdateConnectionDetails.KeyId
UpdateConnectionDetails.NsgIds
UpdateConnectionDetails.SubnetId
UpdateConnectionDetails.RoutingMethod
UpdateConnectionDetails.DoesUseSecretIds
UpdateConnectionDetails.SecurityAttributes
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.GoldengateService.Models
Assembly: OCI.DotNetSDK.Goldengate.dll
Syntax
public class UpdatePostgresqlConnectionDetails : UpdateConnectionDetails

Properties

AdditionalAttributes

Declaration
[JsonProperty(PropertyName = "additionalAttributes")]
public List<NameValuePair> AdditionalAttributes { get; set; }
Property Value
Type Description
List<NameValuePair>

An array of name-value pair attribute entries. Used as additional parameters in connection string.

DatabaseName

Declaration
[JsonProperty(PropertyName = "databaseName")]
public string DatabaseName { get; set; }
Property Value
Type Description
string

The name of the database.

DbSystemId

Declaration
[JsonProperty(PropertyName = "dbSystemId")]
public string DbSystemId { get; set; }
Property Value
Type Description
string

The OCID of the database system being referenced.

Host

Declaration
[JsonProperty(PropertyName = "host")]
public string Host { get; set; }
Property Value
Type Description
string

The name or address of a host.

Password

Declaration
[JsonProperty(PropertyName = "password")]
public string Password { get; set; }
Property Value
Type Description
string

The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Deprecated: This field is deprecated and replaced by "passwordSecretId". This field will be removed after February 15 2026.

PasswordSecretId

Declaration
[JsonProperty(PropertyName = "passwordSecretId")]
public string PasswordSecretId { get; set; }
Property Value
Type Description
string

The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. If secretId is used plaintext field must not be provided. Note: When provided, 'password' field must not be provided.

Port

Declaration
[JsonProperty(PropertyName = "port")]
public int? Port { get; set; }
Property Value
Type Description
int?

The port of an endpoint usually specified for a connection.

PrivateIp

Declaration
[JsonProperty(PropertyName = "privateIp")]
public string PrivateIp { get; set; }
Property Value
Type Description
string

This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
For deprecated connections created with this field in the past, either the private IP had to be specified in the connectionString or host field, or the host name had to be resolvable in the target VCN.

SecurityProtocol

Declaration
[JsonProperty(PropertyName = "securityProtocol")]
[JsonConverter(typeof(StringEnumConverter))]
public PostgresqlConnection.SecurityProtocolEnum? SecurityProtocol { get; set; }
Property Value
Type Description
PostgresqlConnection.SecurityProtocolEnum?

Security protocol for PostgreSQL.

SslCa

Declaration
[JsonProperty(PropertyName = "sslCa")]
public string SslCa { get; set; }
Property Value
Type Description
string

The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.

SslCert

Declaration
[JsonProperty(PropertyName = "sslCert")]
public string SslCert { get; set; }
Property Value
Type Description
string

The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.

SslCrl

Declaration
[JsonProperty(PropertyName = "sslCrl")]
public string SslCrl { get; set; }
Property Value
Type Description
string

The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). It is not included in GET responses if the view=COMPACT query parameter is specified.

SslKey

Declaration
[JsonProperty(PropertyName = "sslKey")]
public string SslKey { get; set; }
Property Value
Type Description
string

The base64 encoded private key of the PostgreSQL server. The supported file formats are .pem and .crt. Deprecated: This field is deprecated and replaced by "sslKeySecretId". This field will be removed after February 15 2026.

SslKeySecretId

Declaration
[JsonProperty(PropertyName = "sslKeySecretId")]
public string SslKeySecretId { get; set; }
Property Value
Type Description
string

The OCID of the Secret that stores the private key of the PostgreSQL server. The supported file formats are .pem and .crt. Note: When provided, 'sslKey' field must not be provided.

SslMode

Declaration
[JsonProperty(PropertyName = "sslMode")]
[JsonConverter(typeof(StringEnumConverter))]
public PostgresqlConnection.SslModeEnum? SslMode { get; set; }
Property Value
Type Description
PostgresqlConnection.SslModeEnum?

SSL modes for PostgreSQL.

Username

Declaration
[JsonProperty(PropertyName = "username")]
public string Username { get; set; }
Property Value
Type Description
string

The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.

In this article
Back to top